List of Available Event Types
This endpoint returns the list of all types available that can be used when defining events (via the type field).
Endpoint
| Method | URL |
|---|---|
| GET | https://ws.catappult.io/api/events/types |
Authentication
To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).
Headers
| Header | Type | Required | Description |
|---|---|---|---|
Api-Key | string | Required | Used to authenticate your API requests. The value is your Aptoide Connect API key. |
Example Request
curl -X GET "https://ws.catappult.io/api/events/types" \
-H "Api-Key: <YOUR_API_KEY>"
Response
Success
If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON array of strings.
Example Response
[
"CUSTOM",
"RELEASE",
"CHALLENGE",
"COMPETITION",
"UPDATE",
"NEW-SEASON",
"SPECIAL",
"EXCLUSIVE-OFFER"
]